> For the complete documentation index, see [llms.txt](https://docs.xplorpay.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.xplorpay.com/api-reference/api/payments/cards-card-not-present/transactions.md).

# Transactions

The Transactions API allows you to process and manage card-not-present (CNP) payment transactions.

Use this API to manage the transaction lifecycle, including:

* Authorize payments
* Capture previously authorized transactions
* Process sale transactions
* Issue refunds
* Void transactions

{% hint style="info" %}
All transactions are stored in batches. You can:

* Configure batches for automatic closure using the [Gateway Settings API](/api-reference/api/payments/gateway-settings.md)
* Manage batch closure manually using the [Batches API](/api-reference/api/payments/batches.md)
* Search for batches the [Batches Warehouse API](/api-reference/api/payments/batches-warehouse.md)

For token operations, use the [Vault API](/api-reference/api/payments/cards-card-not-present/vault.md) endpoint.

Other useful links:

* [Card numbers for testing](/api-reference/resources/test-cards-and-ach-accounts.md)
* [Code samples in various languages](https://github.com/clearent/API-Examples)
  {% endhint %}

### Rate limit notice

The API enforces rate limits to ensure system stability. If you exceed the allowed request threshold, the API returns an HTTP `429 Too Many Requests` response.

If you receive a 429 response:

* Wait for the duration specified in the `Retry-After` header, if provided.
* Implement exponential backoff before retrying the request.

For sustained high-volume needs or to obtain detailed limit information, contact your integration specialist.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.xplorpay.com/api-reference/api/payments/cards-card-not-present/transactions.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
